package modin.util;

import java.awt.*;
import java.awt.event.*;

public class quickHelp extends Dialog {

	public quickHelp(Frame parent)
	{
		super(parent, false);
		setLayout(null);
		setVisible(false);
		setSize(320,250);
		setLocation(170,115);
		setBackground(new Color(12632256));
		setTitle("QuickHelp");
		
		headlineLabel = new Label("modin QuickHelp",Label.LEFT);
		headlineLabel.setBounds(10,220,240,20);
		headlineLabel.setFont(new Font("Dialog", Font.BOLD, 18));
		add(headlineLabel);
	
		txt = new TextArea("",10,10,TextArea.SCROLLBARS_VERTICAL_ONLY);
		txt.setBounds(10,25,300,190);
		txt.setEditable(false);
		txt.setBackground(Color.white);
		add(txt);
			
		okButton = new Button();
		okButton.setLabel("OK");
		okButton.setBounds(260,220,50,25);
		add(okButton);

	
		addWindowListener (
			new WindowAdapter () {
				public void windowClosing (WindowEvent evt) {
					dispose();
		        	}
		      	}
		);

		okButton.addActionListener (
			new ActionListener () {
				public void actionPerformed (ActionEvent evt) {
		        		dispose();
				}
		      	}
		);
	}

	public void setHeadline(String headline) {
		headlineLabel.setText(headline + " QuickHelp");
	}
	
	public void appendLine(String line) {
		txt.append(line);
	}
	
	private Label headlineLabel;
	private TextArea txt;
	private Button okButton;
}
