package vio.tracker.io;

import javax.comm.*;
import java.io.*;
import java.util.Vector;
import java.util.Enumeration;

public class SerialPortScanner {

	public static void main (String args[]) {

		SerialPortScanner spsc = new SerialPortScanner();
		spsc.findActiveSerialPorts(true);
	}

	public static Enumeration findActiveSerialPorts(boolean verbose) {

		Vector activeSerialPorts = new Vector();

		try {
			Enumeration allAvailablePorts =  CommPortIdentifier.getPortIdentifiers();

			while ( allAvailablePorts.hasMoreElements() ) {

				CommPortIdentifier cpi = (CommPortIdentifier) allAvailablePorts.nextElement();
				
				if (cpi.getPortType ()==CommPortIdentifier.PORT_SERIAL) {
					if (verbose)
						System.out.println("found SerialPort "+cpi.getName());
					activeSerialPorts.addElement(cpi);
				}
			}
		}
		catch (Exception e) { }

		return activeSerialPorts.elements();
	}
}

